#!/bin/bash
#
# modifier la ligne suivante selon l'emplacement de D�clic
#
DECLIC=$HOME/.declic
LAUNCHER=$HOME/Desktop/declic_launcher.desktop
NO_LAUNCHER=$DECLIC/no_launcher

# Creation du repertoire pour Declic
if [ ! -e "$DECLIC" ]
then
	echo -n "Directory $DECLIC dosn't exist, create ? [y/n]: "
	read ANS
	# Reponse positive = creation - sinon on quitte
	if [ "$ANS" == "y" ]
	then
		echo "Creating $DECLIC"
		mkdir "$DECLIC"
	else
		echo "Installation aborted"
		exit 1
	fi
fi

# Copie des fichiers
if [ ! -e "$DECLIC/bin/Declic32" ]
then
	echo "Copy files to $DECLIC"
	cp -rp bin "$DECLIC"
	if [ "$?" != "0" ]
	then
		echo "error occured during files copy - sorry"
		exit 1
	fi
fi

# Création du racourcis (lanceur) sur le bureau (compatible KDE et Gnome)
if [ ! -e "$LAUNCHER" ] && [ ! -e "$NO_LAUNCHER" ]
then
	echo -n "Create a Desktop launcher (shortcut) for Declic [y/n] ? "
	read ANS
	if [ "$ANS" == "y" ]
	then
		echo "Creating the Desktop Launcher ($LAUNCHER)..."
		# On ajoute chaque ligne dans le fichier
		echo "[Desktop Entry]" >> "$LAUNCHER"
		echo "Encoding=UTF-8" >> "$LAUNCHER"
		echo "Name=Declic" >> "$LAUNCHER"
		echo "Name[fr]=Déclic" >> "$LAUNCHER"
		echo "Comment=Geometric forms drawing software" >> "$LAUNCHER"
		echo "Comment[fr]=Logiciel de dessin géométrique" >> "$LAUNCHER"
		echo "Type=Application" >> "$LAUNCHER"
		echo "Exec=$DECLIC/bin/declic.sh" >> "$LAUNCHER"
		echo "Icon=$DECLIC/bin/Declic.png" >> "$LAUNCHER"
	else
		echo "# This file is present to say that you dont need a Desktop launcher" >> "$NO_LAUNCHER"
		echo "# You can delete it, but run declic.sh from a terminal next time if" >> "$NO_LAUNCHER"
		echo "you do this" >> "$NO_LAUNCHER"
	fi
fi

#
# la librairie Qt de Kylix 2 est avec D�clic
# si non, modifier ce qui suit !
#
ln -sf $DECLIC/bin/libqtintf-6.5.0-qt2.3.so $DECLIC/bin/libqtintf-6.5-qt2.3.so
ln -sf $DECLIC/bin/libqt.so.2.3.0 $DECLIC/bin/libqt.so.2

ln -sf /usr/lib/libstdc++.so.6 "$DECLIC"/bin/libstdc++-libc6.1-1.so.2

export LD_LIBRARY_PATH=$DECLIC/bin/:/lib/:/usr/lib/:$LD_LIBRARY_PATH

#
# lancement, param�tres possibles
#
$DECLIC/bin/Declic32 $1 $2









